Package Details: fractorium-git 1:r915.ee7ca70-1

Git Clone URL: https://aur.archlinux.org/fractorium-git.git (read-only, click to copy)
Package Base: fractorium-git
Description: A Qt-based fractal flame editor which uses a C++ re-write of the flam3 algorithm named Ember and a GPU capable version named EmberCL which implements a portion of the cuburn algorithm in OpenCL.
Upstream URL: https://bitbucket.org/mfeemster/fractorium/
Licenses: GPL3
Provides: fractorium
Submitter: michaelkuc6
Maintainer: michaelkuc6
Last Packager: michaelkuc6
Votes: 0
Popularity: 0.000000
First Submitted: 2020-04-09 22:03
Last Updated: 2021-12-30 11:25

Latest Comments

bmurauer commented on 2021-12-30 09:51

Upstream has been updated and OpenEXR is now supported natively, so the patch is no longer required.

Also, the code no longer is depending on tbb.

michaelkuc6 commented on 2021-11-14 14:22

@bmurauer No worries, this is fine.

This might also be an issue with upstream: https://bitbucket.org/mfeemster/fractorium/. I haven't raised an merge-request there however, since my solution just presumes OpenEXR 3, and wouldn't gracefully handle the legacy versions of OpenEXR.

bmurauer commented on 2021-11-14 11:13

This is my first bug report, please don't hesitate to scold me if I'm doing things wrong.

Currently, the build is failing due to the OpenEXR update to 3.0 which changed some library names I think. There seems to be a list of applications that have been updated due to this OpenEXR update here: https://archlinux.org/todo/openexr-30-rebuild/

I think that something similar is necessary for this package, but I'm not sure.